/***********************************************************************************
****    Procedure para calculo do Imposto por efetivo lancado, utilizada pela ******
****  rotina de gerao do demonstrativo de resultado operacional             ******
************************************************************************************

Criado em  : 12/06/2007
       Por : Alessandra Cristina

 @C:\WEB_509\SQL\END_CONV\ORACLE\4499_GOPSTPO_IMPOSTOORCA_RELGESDIRETA.SQL
*/

CREATE OR REPLACE PROCEDURE IMPOSTOORCA_RELGESDIRETA(
   P_CDFILIAL   IN FILIAL.CDFILIAL%TYPE,
   P_NRANOORCAOP IN ORCAMENTOOP.NRANOORCAOP%TYPE,
   P_CDVERSORCAOP   IN ORCAMENTOOP.CDVERSORCAOP%TYPE,
   P_NRITLANCROP  IN VARCHAR,
   P_CDSERVFILIAPGD IN VARCHAR)
IS
   V_IDENDCFOP    VARCHAR2(01);
   V_CDGRUPOFISC  VARCHAR2(03);
   V_TIPOOPER     VARCHAR2(02);
   V_CDEMPRESA    VARCHAR2(02);
   V_CDINSCESTA   VARCHAR2(16);
   V_PAISORIG     VARCHAR2(04);
   V_ESTAORIG     VARCHAR2(02);
   V_MUNIORIG     VARCHAR2(04);
   V_PAISDEST     VARCHAR2(04);
   V_ESTADEST     VARCHAR2(02);
   V_MUNIDEST     VARCHAR2(04);
   V_NRALIQTEMP   VARCHAR2(14);
   V_NRLANCTONF   VARCHAR2(20);
   V_IDENDEMIS    VARCHAR2(01);
   V_IDTRIMPSTII  VARCHAR2(01);
   V_PARDEDTMP    NUMBER;
   V_PREDBCTMP    NUMBER;
   V_ALIQUTMP     NUMBER;
   V_TRATIMPST    VARCHAR2(01);
   V_PBCSUBTRIB   NUMBER;
   V_IDPMCBASECAL VARCHAR2(01);
   V_CDIMPOSTRIB  VARCHAR2(02);
   V_IDVRIMPSTRIB VARCHAR2(01);
   V_VRMAXVENDA   NUMBER;
   V_VRPEMAXVENDA NUMBER;
   V_TAXABASECALC NUMBER;
   V_TAXAALIQUOTA NUMBER;
   V_TAXABCSUBSTR NUMBER;
   V_BASECALCIT   NUMBER;
   V_PERDBCALC    NUMBER;
   V_IMPOSTOIT    NUMBER;
   V_BASECALCTO   NUMBER;
   V_BASEVLRMAX   NUMBER;
   V_CALCVLRMAX   NUMBER;
   V_IMPOSTOTAL   NUMBER;
   V_NRSEQRELACIT VARCHAR2(10);
   V_IDUTPADRROP     VARCHAR2(1);   /*Filial padro*/
   V_CDFILCENTPME    VARCHAR2(4);
   V_FILIALPAR       VARCHAR2(4);   /*Filial padro*/
   V_IDUTPADRROPFIL  VARCHAR2(1);   /*Filial padro*/
   V_IDFILIALAGRROP  CHAR;
   V_CDCLIENTE       VARCHAR2(21);
   V_IDCLIENPRIN     VARCHAR2(2);

   V_VRBASECALEFET   NUMBER;
   V_QTBASECALEFET   NUMBER;

   V_NRMES           INTEGER;
   V_COUNT           INTEGER;
   V_IDINTEREST    VARCHAR2(01);
   V_NRINSCSUFRAMA VARCHAR2(09);
BEGIN
   V_TIPOOPER        := '01';
   V_NRSEQRELACIT    := '0';

   BEGIN
      SELECT NVL(IDENDCFOPFIL,'I'), CDEMPRESA, CDINSCESTA
      INTO V_IDENDCFOP, V_CDEMPRESA, V_CDINSCESTA
      FROM FILIAL
      WHERE CDFILIAL = P_CDFILIAL;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         V_IDENDCFOP  := 'I';
         V_CDEMPRESA  := NULL;
         V_CDINSCESTA := NULL;
   END;

   BEGIN
      SELECT IDUTPADRROP
      INTO V_IDUTPADRROP
      FROM PARAMGERAL G;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN BEGIN
         V_IDUTPADRROP     := NULL;
      END;
   END;

   BEGIN
      SELECT IDUTPADRROPFIL, CDFILCENTPME
      INTO V_IDUTPADRROPFIL, V_CDFILCENTPME
      FROM PARFILIALROP P, FILIAL F
      WHERE
         F.CDFILIAL    = P_CDFILIAL    AND
         P.CDFILIAL(+) = F.CDFILIAL;
   EXCEPTION
      WHEN NO_DATA_FOUND THEN BEGIN
         V_IDUTPADRROPFIL := NULL;
         V_CDFILCENTPME   := NULL;
      END;
   END;

   IF (V_IDUTPADRROP = 'S' OR V_IDUTPADRROPFIL = 'S') THEN
      V_FILIALPAR := 'P';
   ELSE
      IF V_CDFILCENTPME IS NULL THEN
         V_FILIALPAR := P_CDFILIAL;
      ELSE
         BEGIN
            SELECT IDFILIALAGRROP
            INTO V_IDFILIALAGRROP
            FROM PARFILIALROP
            WHERE CDFILIAL = V_CDFILCENTPME;
         EXCEPTION
            WHEN NO_DATA_FOUND THEN
               V_IDFILIALAGRROP := 'N';
         END;
         IF V_IDFILIALAGRROP = 'S' THEN
            V_FILIALPAR := V_CDFILCENTPME;
         ELSE
            V_FILIALPAR := P_CDFILIAL;
         END IF;
      END IF;
   END IF;

   NOVO_CODIGO_SC('LANCNF/FILIAL'||P_CDFILIAL, V_NRLANCTONF);

   V_NRLANCTONF := SUBSTR(V_NRLANCTONF, 10, 10);

   FOR C_FATURA IN (SELECT T.CDFILIAL, T.CDSERVFILI, P.CDARVPROD,  P.CDPRODUTO, VRORCAMENTOJAN, VRORCAMENTOFEV, VRORCAMENTOMAR,
                           VRORCAMENTOABR, VRORCAMENTOMAI, VRORCAMENTOJUN, VRORCAMENTOJUL, VRORCAMENTOAGO, VRORCAMENTOSET,
                           VRORCAMENTOOUT, VRORCAMENTONOV, VRORCAMENTODEZ , QTORCAMENTOJAN, QTORCAMENTOFEV,  QTORCAMENTOMAR,
                           QTORCAMENTOABR,  QTORCAMENTOMAI,  QTORCAMENTOJUN,  QTORCAMENTOJUL, QTORCAMENTOAGO,  QTORCAMENTOSET,
                           QTORCAMENTOOUT,  QTORCAMENTONOV,  QTORCAMENTODEZ, DTMESBASEITEM
                    FROM ITEMORCAOP T, PRODUTO P, SERVICO S
                    WHERE T.CDFILIAL = P_CDFILIAL
                      AND T.NRANOORCAOP = P_NRANOORCAOP
                      AND T.CDVERSORCAOP = P_CDVERSORCAOP
                      AND T.IDTIPOORCAOP = 'F'
                      AND T.CDSERVFILI = S.CDSERVFILI
                      AND T.CDFILIAL = S.CDFILIAL
                      AND T.CDSERVFILI = P_CDSERVFILIAPGD
                      AND S.CDPRODUTO = P.CDPRODUTO) LOOP

      IF V_IDENDCFOP = 'I' THEN
         BEGIN
            SELECT CDPAIS, SGESTADO, CDMUNICIPIO
            INTO V_PAISORIG, V_ESTAORIG, V_MUNIORIG
            FROM INSCRESTAD
            WHERE CDEMPRESA  = V_CDEMPRESA
              AND CDINSCESTA = V_CDINSCESTA;
         Exception
            When No_Data_Found Then
               Null;
         END;
      ELSE
         BEGIN
            SELECT CDPAIS, SGESTADO, CDMUNICIPIO
            INTO V_PAISORIG, V_ESTAORIG, V_MUNIORIG
            FROM ENDEFILI
            WHERE (CDFILIAL     = C_FATURA.CDFILIAL)
              AND (IDTPENDEFILI = V_IDENDCFOP);
         Exception
            When No_Data_Found Then
               Null;
         END;
      END IF;

      V_IDINTEREST := 'N';
      IF (V_PAISDEST = V_PAISORIG) AND (V_ESTADEST <> V_ESTAORIG) THEN
         V_IDINTEREST := 'S';
      END IF;

      CONSULTA_INCIDENCIA('S', V_CDEMPRESA, C_FATURA.CDARVPROD, V_CDINSCESTA, V_TIPOOPER, P_CDFILIAL, V_NRLANCTONF, '', NULL, V_IDINTEREST);

      V_IMPOSTOTAL := 0;

      FOR C_INCIDENCIA IN (SELECT DISTINCT (CDIMPOTEMP) AS CDIMPOTEMP, CDFISCTEMP, IDUTMUNIORIG,
                                  IDCONSISTENT, IDIMPORECUP, IP.IDTRATIMPO
                           FROM INCITEMP IT, IMPOSTO IP, IMPOSTOROP IR
                           WHERE (IT.NRINCITEMP = P_CDFILIAL||V_NRLANCTONF) AND
                                 (IP.CDIMPOSTO  = IT.CDIMPOTEMP)            AND
                                 (IP.IDPRODNOTA = 'P')                      AND
                                 (IR.CDFILIAL   = V_FILIALPAR)              AND
                                 (CDIMPOTEMP    = IR.CDIMPOSTO)             AND
                                 (IDTPIMPOSTOROP in ('FE', 'AB'))
                           ORDER BY CDIMPOTEMP) LOOP

         SELECT
            MAX(A.CDCLIENTE), MAX(A.IDCLIENPRIN), NVL(MAX(IDENDEMISCLI), 'P')
         INTO V_CDCLIENTE, V_IDCLIENPRIN, V_IDENDEMIS
         FROM
            CLIENFILIAL A, CLIENTE C
         WHERE A.CDFILIAL = P_CDFILIAL
           AND A.IDCLIENPRIN = 'S'
           AND A.CDCLIENTE = C.CDCLIENTE;

         BEGIN
            SELECT CDPAIS, SGESTADO, CDMUNICIPIO
            INTO V_PAISDEST, V_ESTADEST, V_MUNIDEST
            FROM ENDECLIE
            WHERE (CDCLIENTE    = V_CDCLIENTE) AND
                  (IDTPENDECLIE = V_IDENDEMIS);
         EXCEPTION
            WHEN NO_DATA_FOUND THEN
               V_PAISDEST := NULL;
               V_ESTADEST := NULL;
               V_MUNIDEST := NULL;
         END;

         V_NRMES := 1;

         V_NRSEQRELACIT := V_NRSEQRELACIT + 1;

         WHILE  (V_NRMES <= 12) LOOP

            V_VRBASECALEFET := CASE V_NRMES
                                    WHEN 1 THEN C_FATURA.VRORCAMENTOJAN
                                    WHEN 2 THEN C_FATURA.VRORCAMENTOFEV
                                    WHEN 3 THEN C_FATURA.VRORCAMENTOMAR
                                    WHEN 4 THEN C_FATURA.VRORCAMENTOABR
                                    WHEN 5 THEN C_FATURA.VRORCAMENTOMAI
                                    WHEN 6 THEN C_FATURA.VRORCAMENTOJUN
                                    WHEN 7 THEN C_FATURA.VRORCAMENTOJUL
                                    WHEN 8 THEN C_FATURA.VRORCAMENTOAGO
                                    WHEN 9 THEN C_FATURA.VRORCAMENTOSET
                                    WHEN 10 THEN C_FATURA.VRORCAMENTOOUT
                                    WHEN 11 THEN C_FATURA.VRORCAMENTONOV
                                    ELSE  C_FATURA.VRORCAMENTODEZ
                               END;

            V_QTBASECALEFET := CASE V_NRMES
                                    WHEN 1 THEN C_FATURA.QTORCAMENTOJAN
                                    WHEN 2 THEN C_FATURA.QTORCAMENTOFEV
                                    WHEN 3 THEN C_FATURA.QTORCAMENTOMAR
                                    WHEN 4 THEN C_FATURA.QTORCAMENTOABR
                                    WHEN 5 THEN C_FATURA.QTORCAMENTOMAI
                                    WHEN 6 THEN C_FATURA.QTORCAMENTOJUN
                                    WHEN 7 THEN C_FATURA.QTORCAMENTOJUL
                                    WHEN 8 THEN C_FATURA.QTORCAMENTOAGO
                                    WHEN 9 THEN C_FATURA.QTORCAMENTOSET
                                    WHEN 10 THEN C_FATURA.QTORCAMENTOOUT
                                    WHEN 11 THEN C_FATURA.QTORCAMENTONOV
                                    ELSE  C_FATURA.QTORCAMENTODEZ
                               END;
            IF C_INCIDENCIA.IDUTMUNIORIG = 'D' THEN
               /* CONSIDERA O MUNICIPIO DE DESTINO */

               /*VERIFICAR CAMPO VRORCAMENTOJAN !!!!!*/

               CONSULTA_ALIQUOTA(C_INCIDENCIA.CDIMPOTEMP, 'S', V_CDEMPRESA, C_FATURA.CDARVPROD, V_CDINSCESTA, V_PAISORIG,
                                 V_ESTAORIG, V_PAISDEST, V_ESTADEST, V_MUNIDEST, V_VRBASECALEFET, LAST_DAY(C_FATURA.DTMESBASEITEM),
                                 P_CDFILIAL, V_NRLANCTONF, '', V_TIPOOPER);

            ELSE
              /* CONSIDERA O MUNICIPIO DE ORIGEM */
               CONSULTA_ALIQUOTA(C_INCIDENCIA.CDIMPOTEMP, 'S', V_CDEMPRESA, C_FATURA.CDARVPROD, V_CDINSCESTA, V_PAISORIG,
                                 V_ESTAORIG, V_PAISDEST, V_ESTADEST, V_MUNIORIG, V_VRBASECALEFET, LAST_DAY(C_FATURA.DTMESBASEITEM),
                                 P_CDFILIAL, V_NRLANCTONF, '', V_TIPOOPER);
            END IF;

            V_NRALIQTEMP := 0;
            V_PARDEDTMP  := 0;
            V_PREDBCTMP  := 0;
            V_ALIQUTMP   := 0;
            V_IMPOSTOIT  := 0;

            BEGIN
               SELECT NVL(NRALIQTEMP,0), NVL(VRPARDEDTMP,0), NVL(VRPREDBCTMP,0), NVL(VRALIQUTMP,0),
                      NVL(IDTRIMPSTTMP, '0'), NVL(VRPBCSTTMP,0), NVL(IDPMCBSCALTMP, 'S')
               INTO V_NRALIQTEMP, V_PARDEDTMP, V_PREDBCTMP, V_ALIQUTMP, V_TRATIMPST, V_PBCSUBTRIB, V_IDPMCBASECAL
               FROM ALIQTEMP
               WHERE (NRALIQTEMP = P_CDFILIAL||V_NRLANCTONF);
            EXCEPTION
               WHEN NO_DATA_FOUND THEN
                  V_NRALIQTEMP   := 0;
                  V_PARDEDTMP    := 0;
                  V_PREDBCTMP    := 0;
                  V_ALIQUTMP     := 0;
                  V_TRATIMPST    := 0;
                  V_PBCSUBTRIB   := 0;
                  V_IDPMCBASECAL := 0;
            END;

            BEGIN
               SELECT CDIMPOSTO, IDVRIMPSTRIB
               INTO V_CDIMPOSTRIB, V_IDVRIMPSTRIB
               FROM IMPOSTO
               WHERE CDIMPOSTRIB = C_INCIDENCIA.CDIMPOTEMP;
            EXCEPTION
               WHEN NO_DATA_FOUND THEN
                  V_CDIMPOSTRIB  := NULL;
                  V_IDVRIMPSTRIB := NULL;
            END;

            V_TAXABASECALC := (100 - V_PREDBCTMP)/100;
            V_TAXAALIQUOTA := (V_ALIQUTMP/100);
            V_TAXABCSUBSTR := 1 + (V_PBCSUBTRIB/100);

            V_BASECALCIT   := V_VRBASECALEFET * V_TAXABASECALC;

            V_PERDBCALC    := 100 - V_PREDBCTMP;

            IF V_PBCSUBTRIB > 0 THEN
               V_BASECALCIT := (V_BASECALCIT * V_TAXABCSUBSTR);
               V_PREDBCTMP  := V_PBCSUBTRIB;
               V_PERDBCALC  := 0;
            END IF;

            V_BASEVLRMAX   := 0;
            V_VRPEMAXVENDA := 0;
            V_VRMAXVENDA   := 0;
            V_CALCVLRMAX   := 0;

            SELECT MAX(NRINSCSUFRAMACL) /*Verifica se h Inscrio Suframa cadastrado p o cliente*/
              INTO V_NRINSCSUFRAMA
              FROM CLIENTE
             WHERE (CDCLIENTE = V_CDCLIENTE);

            IF V_NRINSCSUFRAMA IS NULL THEN
               BEGIN
                  SELECT NVL(MAX(VRMAXVENDA),0), NVL(MAX(VRPEMAXVENDA),0)
                  INTO V_VRMAXVENDA, V_VRPEMAXVENDA
                  FROM VRMAXVENPROD A
                  WHERE (CDPAIS   = V_PAISDEST) AND
                        (SGESTADO = V_ESTADEST) AND
                        (A.CDPRODUTO = C_FATURA.CDPRODUTO);
               EXCEPTION
                  WHEN NO_DATA_FOUND THEN
                     V_VRMAXVENDA   := 0;
                     V_VRPEMAXVENDA := 0;
               END;
            ELSE
               BEGIN
                  SELECT NVL(MAX(VRMAXVENDA),0), NVL(MAX(VRPEMAXVENDA),0)
                  INTO V_VRMAXVENDA, V_VRPEMAXVENDA
                  FROM VRMAXVENPROD A
                  WHERE (CDPAIS   = '0055') AND
                        (SGESTADO = 'SF'  ) AND
                        (A.CDPRODUTO = C_FATURA.CDPRODUTO);
               EXCEPTION
                  WHEN NO_DATA_FOUND THEN
                     V_VRMAXVENDA   := 0;
                     V_VRPEMAXVENDA := 0;
               END;
            END IF;

            IF V_VRMAXVENDA IS NOT NULL THEN
               V_CALCVLRMAX := (V_QTBASECALEFET * V_VRMAXVENDA) * (V_VRPEMAXVENDA/100);
               V_BASEVLRMAX := V_CALCVLRMAX;
            END IF;

            IF V_CDIMPOSTRIB IS NULL THEN
               V_BASECALCTO  := V_BASECALCIT;
               V_IMPOSTOIT   := (V_BASECALCIT * V_TAXAALIQUOTA) - V_PARDEDTMP;
            ELSE
               /*Se o parametro de "Utiliza PMC" estiver marcado eu comparo o percentual de majorao com o valor maximo
               de venda e o maior entra na base de calculo. Se o parametro estiver desmarcado sempre sera utilizado o percentual de
               majorao */
               IF NVL(V_IDPMCBASECAL, 'S') = 'S' THEN
                  IF V_BASECALCIT > V_BASEVLRMAX THEN
                     V_BASECALCTO  := V_BASECALCIT;
                     V_IMPOSTOIT   := (V_BASECALCIT * V_TAXAALIQUOTA) - V_PARDEDTMP;

                  ELSE
                     V_BASECALCTO  := V_BASEVLRMAX;
                     V_IMPOSTOIT   := (V_BASEVLRMAX * V_TAXAALIQUOTA) - V_PARDEDTMP;
                  END IF;
               ELSE
                  V_BASECALCTO  := V_BASECALCIT;
                  V_IMPOSTOIT   := (V_BASECALCIT * V_TAXAALIQUOTA) - V_PARDEDTMP;
               END IF;
            END IF;

            IF V_CDIMPOSTRIB IS NULL THEN
               V_IDTRIMPSTII := '';
            ELSE
               V_IDTRIMPSTII := V_TRATIMPST;
            END IF;

            IF (V_IMPOSTOIT < 0) THEN
               V_IMPOSTOIT := 0;
            END IF;

            IF (V_ALIQUTMP = 0) AND (V_IMPOSTOIT = 0) THEN
               V_BASECALCTO := 0;
            END IF;

            IF C_INCIDENCIA.IDTRATIMPO = 'D' THEN
               V_IMPOSTOTAL := - ROUND(V_IMPOSTOIT,2);
            ELSE
               V_IMPOSTOTAL := ROUND(V_IMPOSTOIT,2);
            END IF;

            DELETE ALIQTEMP
            WHERE NRALIQTEMP = P_CDFILIAL||V_NRLANCTONF;

            IF V_NRMES = 1 THEN
               SELECT COUNT(*)
                INTO V_COUNT
                FROM ITRELACITORCAOP
               WHERE NRANOORCAOP   = P_NRANOORCAOP
                 AND CDVERSORCAOP = P_CDVERSORCAOP
                 AND CDFILIAL      = P_CDFILIAL
                 AND NRSEQITEMORCA = P_NRITLANCROP
                 AND NRSEQRELACORCAOP = V_NRSEQRELACIT;

               IF V_COUNT > 0 THEN
                  DELETE  FROM ITRELACITORCAOP
                   WHERE NRANOORCAOP   = P_NRANOORCAOP
                     AND CDVERSORCAOP = P_CDVERSORCAOP
                     AND CDFILIAL      = P_CDFILIAL
                     AND NRSEQITEMORCA = P_NRITLANCROP
                     AND NRSEQRELACORCAOP = V_NRSEQRELACIT;
               END IF;
               INSERT INTO  ITRELACITORCAOP
                   (NRANOORCAOP, CDVERSORCAOP, CDFILIAL , NRSEQITEMORCA, NRSEQRELACORCAOP, CDITRELITORCAOP, VRRELITORCOPJAN )
               VALUES
                   (P_NRANOORCAOP, P_CDVERSORCAOP, P_CDFILIAL, P_NRITLANCROP, V_NRSEQRELACIT, C_INCIDENCIA.CDIMPOTEMP, V_IMPOSTOTAL );
            ELSE
               UPDATE ITRELACITORCAOP
                  SET VRRELITORCOPFEV = DECODE(V_NRMES, 2, V_IMPOSTOTAL, NVL(VRRELITORCOPFEV,0)),
                      VRRELITORCOPMAR = DECODE(V_NRMES, 3, V_IMPOSTOTAL, NVL(VRRELITORCOPMAR,0)),
                      VRRELITORCOPABR = DECODE(V_NRMES, 4, V_IMPOSTOTAL, NVL(VRRELITORCOPABR,0)),
                      VRRELITORCOPMAI = DECODE(V_NRMES, 5, V_IMPOSTOTAL, NVL(VRRELITORCOPMAI,0)),
                      VRRELITORCOPJUN = DECODE(V_NRMES, 6, V_IMPOSTOTAL, NVL(VRRELITORCOPJUN,0)),
                      VRRELITORCOPJUL = DECODE(V_NRMES, 7, V_IMPOSTOTAL, NVL(VRRELITORCOPJUL,0)),
                      VRRELITORCOPAGO = DECODE(V_NRMES, 8, V_IMPOSTOTAL, NVL(VRRELITORCOPAGO,0)),
                      VRRELITORCOPSET = DECODE(V_NRMES, 9, V_IMPOSTOTAL, NVL(VRRELITORCOPSET,0)),
                      VRRELITORCOPOUT = DECODE(V_NRMES, 10, V_IMPOSTOTAL, NVL(VRRELITORCOPOUT,0)),
                      VRRELITORCOPNOV = DECODE(V_NRMES, 11, V_IMPOSTOTAL, NVL(VRRELITORCOPNOV,0)),
                      VRRELITORCOPDEZ = DECODE(V_NRMES, 12, V_IMPOSTOTAL, NVL(VRRELITORCOPDEZ,0))
                WHERE NRANOORCAOP   = P_NRANOORCAOP
                  AND CDVERSORCAOP = P_CDVERSORCAOP
                  AND CDFILIAL      = P_CDFILIAL
                  AND NRSEQITEMORCA = P_NRITLANCROP
                  AND CDITRELITORCAOP = C_INCIDENCIA.CDIMPOTEMP
                  AND NRSEQRELACORCAOP = V_NRSEQRELACIT ;
            END IF;
            V_NRMES  := V_NRMES + 1;
         END LOOP; -- FIM LOOP MS
      END LOOP;  -- FIM INCIDENCIA

      DELETE INCITEMP
      WHERE NRINCITEMP = P_CDFILIAL||V_NRLANCTONF;
   END LOOP;
END;
/     

-- VERSAO --
BEGIN ATUVEROBJ('IMPOSTOORCA_RELGESDIRETA','5.30.xxx'); END;
/

