function ZhuAclExportRulesController(templateManager, MessageService, ScreenService, ZhuAclConfig, ZhuAclController, ZhuAclService){
	var self = this;
	var requestToExportRules = function(profileFrom, profilesToExport) {
		ZhuAclService.exportRules(profileFrom, profilesToExport)
			.then(self.closeExportRulesPopup)
			.catch(function(response){
				var errorCode = (response && (response.errorCode || response.error)) || ZhuAclMessages.ERR_RULES_EXPORTED;
				MessageService.errorNotificationByCode(errorCode);
			});
	};

	this.exportRules = function() {
		var exportRulesWidget = templateManager.container.getWidget(ZhuAclConfig.exportRulesModal);
		if(exportRulesWidget.isValid()){
			var currentRow = exportRulesWidget.currentRow;
			var dialogConfig = {
				type: 'CONFIRMATION',
				actions: [
					{
						label: ScreenService.i18n(ZhuAclMessages.YES),
						code: function() {
							requestToExportRules(currentRow.profileFrom, currentRow.profilesToExport);
						}
					},
					{ label: ScreenService.i18n(ZhuAclMessages.NO) }
				]
			};
			MessageService.showCustomDialogByCode(ZhuAclMessages.CONFIRM_EXPORT, {}, dialogConfig);
		}
	};

	this.profileActionEventExportRules = function(groupId) {
		var container = templateManager.container;
		return ZhuAclController.getFactoredWidget(container, ZhuAclConfig.exportRulesModal, true).then(function(exportRulesWidget){
			ScreenService.openPopup(exportRulesWidget);
			exportRulesWidget.isVisible = true;
			exportRulesWidget.currentRow = {
				profileFrom: groupId
			};
			exportRulesWidget.fields[0].dataSourceFilter = [{
				name: 'ID',
				operator: '<>',
				value: groupId
			}];
		});
	};

	this.closeExportRulesPopup = function() {
		ScreenService.closePopup();
	};
}

Configuration(function(ContextRegister){
	ContextRegister.register('ZhuAclExportRulesController', ZhuAclExportRulesController);
});